/* 
    callbacks for Bt848 frame grabber driver

    Copyright (C) 1996,97 Marcus Metzler (mocm@thp.uni-koeln.de)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef _callbacks_h
#define _callbacks_h

#include <X11/Xlib.h>
#include <Xm/Xm.h>


/*
 * callbacks.h
 */
enum{TUNERMESS,COMP1MESS,COMP2MESS,SVHSMESS,BRIGHTMESS,COLORMESS,CONTRASTMESS,HUEMESS,PALMESS,SECAMMESS,NTSCMESS,DELAYMESS,FREQMESS,CHANMESS,FINEMESS,QUITMESS,CLOSEMESS,CHANNELMESS,ADDMESS,LOADMESS,SAVEMESS,DELETEMESS,NORMMESS,INPUTMESS,TEXTMESS,LISTMESS,CHANUP,CHANDOWN,VOLMESS,SEQMESS};


void help_mess(Widget w, XtPointer client_data, XEvent *event,char *any=NULL);
void nandemo(Widget w, XtPointer client_data, XtPointer call_data);
void chan_ud(Widget w, XtPointer client_data, XtPointer call_data);
void help_cb(Widget w, XtPointer client_data, XtPointer call_data);
void file_cb(Widget w, XtPointer client_data, XtPointer call_data);
void new_freq(Widget w, XtPointer client_data, XtPointer call_data);
void new_dbch(Widget w, XtPointer client_data, XtPointer call_data);
void norm_tog(Widget w, XtPointer client_data, XtPointer call);
void input_sel(Widget w, XtPointer client_data, XtPointer call_data);
void close(Widget w, XtPointer client_data, XtPointer call_data);
void select(Widget w, XtPointer client_data, XtPointer call_data);
void delete_item(Widget w, XtPointer client_data, XtPointer call_data);
void save_xtv(Widget w, XtPointer client_data, XtPointer call_data);
void load_xtv(Widget w, XtPointer client_data, XtPointer client_data);
void chan_cb(Widget w, XtPointer client_data, XtPointer call_data);
void popdown(Widget w, XtPointer client_data, XtPointer call_data);
void popcon(Widget &w,Boolean DO);
void start_cb(Widget w, XtPointer client_data, XtPointer call_data);
void audio_cb(Widget w, XtPointer client_data, XtPointer call_data);
void sizecheck(Widget w, XtPointer client_data, XEvent *event, char *c);
void opt_cb(Widget &w,Boolean DO);
void new_seq(Widget w, XtPointer client_data, XtPointer call_data);






#endif /* _callbacks_h */
/* DON'T ADD STUFF AFTER THIS #endif */











